<?
include_once(_DIR_EXT.'/HTML/c_page_XML_AJAX.php') ;
class c_page_ajax extends c_page_XML_AJAX
{

    function before_delete()
    {
        $if_child = true;
        if ($_POST['filter']['terminal_id']) {
            $name = 'терминал турникета';
            $function_name = 'terminal_delete';
        } else if ($_POST['filter']['zone']) {
            $name = 'точку доступа';
            $function_name = 'terminal_delete';
            $if_child = false;
        } else {
            $name = 'зону доступа';
            $function_name = 'zone_delete';
        }
        if ($if_child) {
            $child_zone = execSQL_value('select count(pkey) from '.SKD()->table_name.' where clss=600 and parent='.$_POST['filter']['id']); //проверить что нет дочерних зон
            $child_terminal = execSQL_value('select count(pkey) from '.SKD()->table_name.' where clss=606 and parent='.$_POST['filter']['id']); //проверить что нет дочерних терминалов
            if ($_POST['filter']['terminal_id']) $child_point = execSQL_value('select count(pkey) from '.SKD()->table_name.' where clss=601 and terminal_ID='.$_POST['filter']['terminal_id']); //проверить что нет дочерних точек доступа
            else $child_point = false;
            if ($child_zone) $alerts[] = 'В зоне доступа присутствуют дочерние зоны доступа.';
            if ($child_terminal) $alerts[] = 'В зоне доступа присутствуют терминалы турникетов';
            if ($child_point) $alerts[] = 'В турникете присутствуют точки доступа';
        }
        if ($child_zone or $child_terminal or $child_point) {
            ?><strong>Удалить <?echo $name?> нельзя:</strong><?
            ?><ul><?
            foreach($alerts as $alert) echo '<li>'.$alert.'</li>' ;
            ?></ul>
            <div class="buttons"><button class="cancel">Отмена</button></div>
            <?
            $this->add_element('show_modal_window','HTML',array('title'=>'Удаление группы','after_close_update_page'=>1)) ;
        } else {?>
            <div class="center"><p>Вы уверены, что хотите удалить <?echo $name ?>?</p><br>
            <button class="v2" cmd="skd/<?echo $function_name ?>" element_id="<?echo $_POST['filter']['id'] ?>">Да</button>&nbsp;&nbsp;&nbsp;<button class="cancel">Нет</button>
            </div><?
            $this->add_element('show_modal_window','HTML',array('title'=>'Удаление зоны доступа')) ;
        }
    }

    function zone_create()
    {
        $result=SKD()->zone_create($_POST['filter']) ;
        reboot_engine() ;
        ACCOUNTS()->update_member_info(MEMBER()) ;
        if ($result['error']) {?><div class="alert"><?echo $result['error']?></div><?}
        else                  {?><div class="info"><?echo $result['info']?></div><?}
        ?><br><br><div class="center"><button class="cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Добавление новой зоны доступа','after_close_update_page'=>1)) ;
    }

    function zone_edit()
    {
        $result=SKD()->zone_edit($_POST['filter']) ;
        reboot_engine() ;
        ACCOUNTS()->update_member_info(MEMBER()) ;
        if ($result['error']) {?><div class="alert"><?echo $result['error']?></div><?}
        else                  {?><div class="info"><?echo $result['info']?></div><?}
        ?><br><br><div class="center"><button class="cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Изменение зоны доступа','after_close_update_page'=>1)) ;
    }

    function zone_delete()
    {
        $result=SKD()->zone_delete($_POST['element_id']) ;
        if ($result['error']) {?><div class="alert"><?echo $result['error']?></div><?}
        else                  {?><div class="info"><?echo $result['info']?></div><?}
        ?><br><br><div class="center"><button class="cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Удаление зоны доступа','after_close_update_page'=>1)) ;
    }

    function terminal_create()
    {
        $result=SKD()->terminal_create($_POST['filter']) ;
        reboot_engine() ;
        ACCOUNTS()->update_member_info(MEMBER()) ;
        if ($result['error']) {?><div class="alert"><?echo $result['error']?></div><?}
        else                  {?><div class="info"><?echo $result['info']?></div><?}
        ?><br><br><div class="center"><button class="cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Добавление нового турникета','after_close_update_page'=>1)) ;
    }

    function terminal_edit()
    {
        $result=SKD()->terminal_edit($_POST['filter']) ;
        reboot_engine() ;
        ACCOUNTS()->update_member_info(MEMBER()) ;
        if ($result['error']) {?><div class="alert"><?echo $result['error']?></div><?}
        else                  {?><div class="info"><?echo $result['info']?></div><?}
        ?><br><br><div class="center"><button class="cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Изменение турникета','after_close_update_page'=>1)) ;
    }

    function terminal_delete()
    {
        $result=SKD()->terminal_delete($_POST['element_id']) ;
        if ($result['error']) {?><div class="alert"><?echo $result['error']?></div><?}
        else                  {?><div class="info"><?echo $result['info']?></div><?}
        ?><br><br><div class="center"><button class="cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Удаление турникета','after_close_update_page'=>1)) ;
    }

    function access_point_create()
    {
        $result=SKD()->access_point_create($_POST['filter']) ;
        reboot_engine() ;
        ACCOUNTS()->update_member_info(MEMBER()) ;
        if ($result['error']) {?><div class="alert"><?echo $result['error']?></div><?}
        else                  {?><div class="info"><?echo $result['info']?></div><?}
        ?><br><br><div class="center"><button class="cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Добавление новой точки доступа','after_close_update_page'=>1)) ;
    }

    function access_point_edit()
    {
        $result=SKD()->access_point_edit($_POST['filter']) ;
        reboot_engine() ;
        ACCOUNTS()->update_member_info(MEMBER()) ;
        if ($result['error']) {?><div class="alert"><?echo $result['error']?></div><?}
        else                  {?><div class="info"><?echo $result['info']?></div><?}
        ?><br><br><div class="center"><button class="cancel">Закрыть</button></div><?
        $this->add_element('show_modal_window','HTML',array('title'=>'Изменение точки доступа','after_close_update_page'=>1)) ;
    }

}
?>